const db = require("../db.js");

const triggers = [
    "dead server",
    "dead chat",
    "ded chat",
    "ded server"
];

const onMessage = (msg, content, actionsDone) => {
    if (actionsDone)
        return false;

    let lowerContent = content.toLowerCase();
    
    if(!triggers.some(s => lowerContent.includes(s)))
        return false;

    msg.channel.send(db.get("deadChatReplies").randomElement().value());
    return true;
};

module.exports = {
    onMessage: onMessage
};